/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3rem;
  /*========== Colors ==========*/
  --hue: 210;
  --sat: 80%;
  --first-color: hsl(var(--hue), var(--sat), 40%);
  --first-color-light: hsl(var(--hue), var(--sat), 85%);
  --first-color-lighten: hsl(var(--hue), var(--sat), 90%);
  --first-color-alt: hsl(var(--hue), var(--sat), 53%);
  --title-color: hsl(var(--hue), 4%, 15%);
  --text-color: hsl(var(--hue), 4%, 35%);
  --text-color-light: hsl(var(--hue), 4%, 65%);
  --body-color: hsl(var(--hue), 0%, 100%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue), 4%, 85%);
  --scroll-thumb-color: hsl(var(--hue), 4%, 75%);
  /*========== Font and typography ==========*/
  --body-font: "Poppins", sans-serif;
  --biggest-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;
  /*========== Font weight ==========*/
  --font-semi-bold: 600;
  --font-bold: 700;
  /*========== Margenes ==========*/
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 968px) {
  :root {
    --biggest-font-size: 3rem;
    --h2-font-size: 1.75rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

/*=============== BASE ===============*/
*,
::before,
::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  transition: 0.5s;
}

h1,
h2,
h3 {
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
  line-height: 1.5;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*=============== THEME ===============*/
/*========== Variables Dark theme ==========*/
body.dark-theme {
  --first-color-light: hsl(var(--hue), var(--sat), 75%);
  --title-color: hsl(var(--hue), 4%, 95%);
  --text-color: hsl(var(--hue), 4%, 80%);
  --body-color: hsl(var(--hue), 8%, 13%);
  --container-color: hsl(var(--hue), 8%, 16%);
  --scroll-bar-color: hsl(var(--hue), 4%, 32%);
  --scroll-thumb-color: hsl(var(--hue), 4%, 24%);
}

/*========== Button Dark/Light ==========*/
.change-theme {
  position: absolute;
  right: 1.5rem;
  top: 2.2rem;
  color: var(--title-color);
  font-size: 1.8rem;
  cursor: pointer;
}

.dark-theme .footer {
  background-color: var(--container-color);
}

/*=============== REUSABLE CSS CLASSES ===============*/
.section {
  padding: 4.5rem 0 1rem;
}

.section__title,
.section__title-center {
  font-size: var(--h2-font-size);
  color: var(--title-color);
  text-align: center;
  margin-bottom: var(--mb-1);
}

.svg__color {
  fill: var(--first-color);
}

.svg__blob {
  fill: var(--first-color-light);
}

.svg__img {
  width: 300px;
  justify-self: center;
}

.alliances__img {
  justify-self: center;
}

/*=============== LAYOUT ===============*/
.container {
  max-width: 968px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  width: 100%;
  background-color: var(--body-color);
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  transition: 0.5s;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    background-color: var(--container-color);
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
    padding: 2.5rem 0;
    width: 90%;
    top: -100%;
    left: 0;
    right: 0;
    margin: 0 auto;
    transition: 0.4s;
    border-radius: 2rem;
    z-index: var(--z-fixed);
  }
}

.nav__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1.5rem;
}

.nav__link,
.nav__logo,
.nav__toggle {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

.nav__toggle {
  font-size: 1.3rem;
  cursor: pointer;
}

/* Show menu */
.show-menu {
  top: calc(var(--header-height) + 1rem);
}

/* Active link */
.active-link {
  position: relative;
}

.active-link::before {
  content: "";
  position: absolute;
  bottom: -0.75rem;
  left: 45%;
  width: 5px;
  height: 5px;
  background-color: var(--title-color);
  border-radius: 50%;
}

/* Change background header */
.scroll-header {
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.1);
}

/*=============== HOME ===============*/
.home__container {
  row-gap: 3rem;
}

.home__title {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  margin-bottom: var(--mb-0-75);
}

.home__description {
  margin-bottom: var(--mb-2);
}

/*=============== BUTTONS ===============*/
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #f5f3f3;
  padding: 0.75rem 1.5rem;
  border-radius: 3rem;
  font-weight: var(--font-semi-bold);
  transition: 0.3s;
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button__header {
  display: none;
}

.button-link {
  background: none;
  padding: 0;
  color: var(--title-color);
}

.button-link:hover {
  background-color: transparent;
}

.button-flex {
  display: inline-flex;
  align-items: center;
  column-gap: 0.25rem;
  padding: 0.75rem 1rem;
}

.button__icon {
  font-size: 1.5rem;
}

/*=============== ABOUT ===============*/
.about__container {
  gap: 2.5rem;
}

.about__data {
  text-align: center;
}

/*=============== ALLIANCE ===============*/
.alliance__container {
  gap: 2.5rem;
}

.alliance__data {
  text-align: center;
}

/*=============== MISSION ===============*/
.mission__container {
  gap: 2.5rem;
}

.mission__data {
  text-align: center;
}

/*=============== CERTIFICATIONS & PARTNERS ===============*/
.certifications__container,
.partners__container {
  gap: 2.5rem;
}

.certifications__data,
.partners__data {
  text-align: center;
}

/*=============== SERVICES ===============*/
.services__container {
  padding-top: 1rem;
}

.services__data {
  display: grid;
  row-gap: 1rem;
  background-color: var(--container-color);
  box-shadow: 0px 2px 6px hsla(var(--hue), 100%, 15%, 0.15);
  padding: 2rem 1.5rem;
  border-radius: 1rem;
  text-align: center;
}

.services__img {
  width: 135px;
  justify-self: center;
  margin-bottom: var(--mb-0-5);
}

/*=============== MAP ===============*/
.map__container {
  gap: 2.5rem;
}

.map__data {
  text-align: center;
}

.map__description {
  margin-bottom: var(--mb-1-5);
}

/*=============== CONTACT ===============*/
.contact__container {
  padding-bottom: 3rem;
}

.contact__description {
  text-align: center;
}

.contact__content {
  row-gap: 0.75rem;
}

.contact__address {
  font-size: var(--small-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.contact__information {
  font-weight: initial;
  color: var(--text-color);
}

/*=============== FOOTER ===============*/
.footer {
  background-color: var(--first-color-lighten);
}

/* .footer__container {
  row-gap: 2rem;
}

.footer__logo,
.footer__title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-75);
}

.footer__logo {
  display: inline-block;
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.footer__description,
.footer__link {
  font-size: var(--small-font-size);
}

.footer__links {
  display: grid;
  row-gap: 0.5rem;
}

.footer__link {
  color: var(--title-color);
}

.footer__social {
  display: flex;
  column-gap: 1.5rem;
}

.footer__social-link {
  font-size: 1.25rem;
  color: var(--title-color);
}

.footer__copy {
  margin-top: 6rem;
  text-align: center;
  font-size: var(--smaller-font-size);
  color: var(--text-color);
} */

/*=============== SCROLL UP ===============*/
.scrollup {
  position: fixed;
  background: var(--first-color);
  right: 1rem;
  bottom: -20%;
  display: inline-flex;
  padding: 0.3rem;
  border-radius: 0.25rem;
  z-index: var(--z-tooltip);
  opacity: 0.8;
  transition: 0.4s;
}

.scrollup:hover {
  background-color: var(--first-color);
  opacity: 1;
}

.scrollup__icon {
  font-size: 1.25rem;
  color: white;
}

/* Show Scroll Up*/
.show-scroll {
  bottom: 3rem;
}

/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar {
  width: 0.6rem;
  border-radius: 0.5rem;
  background-color: var(--scroll-bar-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--text-color-light);
}

/*=============== US MAP ===============*/

/*=============== MEDIA QUERIES ===============*/
/* For small devices */
@media screen and (max-width: 360px) {
  .svg__img {
    width: 100%;
  }
  .section {
    padding: 3.5rem 0 1rem;
  }
  .services__img {
    width: 100px;
  }
}

/* For medium devices */
@media screen and (min-width: 576px) {
  .svg__img {
    width: 100%;
  }
  .section__title-center {
    text-align: initial;
  }
  .home__container,
  .about__container,
  .alliance__container,
  .mission__container,
  .certifications__container,
  .services__container,
  .map__container,
  .contact__container,
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
  .partners__container {
    grid-template-columns: repeat(1, 1fr);
  }
  .home__img {
    order: 1;
  }
  .alliances__img {
    order: -1;
  }
  .home__container,
  .about__container,
  .alliance__container,
  .mission__container,
  .certifications__container,
  .partners__container,
  .map__container,
  .contact__container {
    align-items: center;
  }
  .about__data,
  .alliance__data,
  .mission__data,
  .map__data,
  .certifications__data,
  .partners__data,
  .contact__description {
    text-align: initial;
  }
  .about__img,
  .alliance__img,
  .certifications__img,
  .map__img {
    order: -1;
  }
}

/* Carousel */
.carousel {
  position: relative;
}

.carousel-inner {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.carousel-inner > .carousel-item {
  position: relative;
  display: none;
  animation: 0.6s ease-in-out;
  height: 100%;
  text-align: center;
}

.carousel-item > .carousel-img {
  width: 100%;
  min-height: 70vh;
  height: auto;
}

.carousel-inner > .active,
.carousel-inner > .next {
  display: block;
}

.carousel-inner > .next {
  position: absolute;
  top: 0;
  width: 100%;
}

.carousel-inner > .to-left {
  animation-name: left;
}

.carousel-inner > .from-right {
  animation-name: right;
}

.carousel-inner > .to-right {
  animation-name: right;
  animation-direction: reverse;
}

.carousel-inner > .from-left {
  animation-name: left;
  animation-direction: reverse;
}

.carousel-control {
  position: absolute;
  top: 0;
  bottom: 3rem;
  left: 0;
  width: 15%;
  cursor: pointer;
}

.carousel-control-prev,
.carousel-control-next {
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 1;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 15%;
  text-align: center;
  opacity: 0.5;
  transition: opacity 0.15s ease;
}

@media (prefers-reduced-motion: reduce) {
  .carousel-control-prev,
  .carousel-control-next {
    transition: none;
  }
}

.carousel-control-prev:hover,
.carousel-control-prev:focus,
.carousel-control-next:hover,
.carousel-control-next:focus {
  color: #fff;
  text-decoration: none;
  outline: 0;
  opacity: 0.9;
}

.carousel-control-prev {
  left: 0;
}

.carousel-control-next {
  right: 0;
}

.bx-chevron-left,
.bx-chevron-right {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: no-repeat 50% / 100% 100%;
  color: rgba(0, 0, 0, 0);
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.sr-only-focusable:active,
.sr-only-focusable:focus {
  position: static;
  width: auto;
  height: auto;
  overflow: visible;
  clip: auto;
  white-space: normal;
}

@keyframes left {
  from {
    left: 0;
  }

  to {
    left: -100%;
  }
}

@keyframes right {
  from {
    left: 100%;
  }

  to {
    left: 0;
  }
}

#langSelector {
  cursor: pointer;
}

@media screen and (min-width: 767px) {
  body {
    margin: 0;
  }
  .section {
    padding: 6rem 0 2rem;
  }
  .nav {
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__list {
    flex-direction: row;
    column-gap: 2.5rem;
  }
  .nav__toggle {
    display: none;
  }
  .change-theme {
    position: initial;
  }
  .home__container {
    padding: 6rem 0 2rem;
  }
}

/* For large devices */
@media screen and (min-width: 968px) {
  .button__header {
    display: block;
  }
  .svg__img {
    width: 470px;
  }
  .about__container,
  .alliance__container,
  .mission__container,
  .certifications__container,
  .partners__container,
  .map__container,
  .contact__container {
    column-gap: 6rem;
  }
  .services__container {
    grid-template-columns: repeat(3, 1fr);
  }
  .contact__container {
    grid-template-columns: 3fr 1.5fr 1.25fr;
  }
  .footer__container {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media screen and (min-width: 1024px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }
  .home__img {
    width: 540px;
  }
  .home__description {
    padding-right: 5rem;
  }
  .footer__container {
    column-gap: 3rem;
  }
  .scrollup {
    right: 2rem;
  }
}
